### Function

# Secret Collection create_sync

#### Declaration [src]

    SecretCollection*
    secret_collection_create_sync (
      SecretService* service,
      const gchar* label,
      const gchar* alias,
      SecretCollectionCreateFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Create a new collection in the secret service.

This method may block indefinitely and should not be used in user interface threads. The secret service may prompt the user. `secret_service_prompt()` will be used to handle any prompts that are required.

An `alias` is a well-known tag for a collection, such as `default` (ie: the default collection to store items in). This allows other applications to easily identify and share a collection. If you specify an `alias`, and a collection with that alias already exists, then a new collection will not be created. The previous one will be returned instead.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

#### Parameters

`service`

  Type: `SecretService`

  A secret service object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`label`

  Type: `const gchar*`

  Label for the new collection.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`alias`

  Type: `const gchar*`

  Alias to assign to the collection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `SecretCollectionCreateFlags`

  Currently unused.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretCollection`

The new collection, which should be unreferenced with `g_object_unref()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.